Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
<Appearance("ProductsGant - CustomersFrom all time", TargetItems:="CustomersFrom", Criteria:="1=1", Enabled:=False, Context:="Any")> _
Public Class ProductsGant
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _G2antt As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    <Size(-1)> _
    Property G2antt As String
        Get
            Return _G2antt
        End Get
        Set(value As String)
            SetPropertyValue("G2antt", _G2antt, value)
        End Set
    End Property

    'ReadOnly
    <VisibleInListView(False)> _
    <VisibleInLookupListView(False)> _
    <Association("ProductsGant - ProductsGantRows", GetType(ProductsGantRows))> _
    ReadOnly Property ProductsGantRows As XPCollection(Of ProductsGantRows)
        Get
            Return GetCollection(Of ProductsGantRows)("ProductsGantRows")
        End Get
    End Property
End Class
